import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl.js';

const svg = select('svg');

const width = parseFloat(svg.attr('width'));
const height = +svg.attr('height');

const makeFruit = type => ({ type, id: Math.random() });

let fruits = range(5)
	.map(() => makeFruit('apple'));

const render = () => {
	fruitBowl(svg, { fruits, height })
}

render();

//Remove one Apple from stack

setTimeout(() => {
	fruits.pop();
	render();
}, 2000);

//Add a Lemon to the stack

setTimeout(() => {
	fruits[2].type = 'lemon';
  render();
}, 4000);

//Remove one Apple from stack

setTimeout(() => {
	fruits = fruits.filter((d,i) => i !== 1);
	render();
}, 6000);